
CoCoA-5 - Feature #371

Resurrect LinearSimplify

13 Jun 2013 15:26 - Anna Maria Bigatti

Status: Closed Start date: 13 Jun 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: CoCoA-4 function to be added Estimated time: 0.00 hour

Target version: CoCoA-5.0.9 Spent time: 1.50 hour

Description

translate LinearSimplify package to CoCoA-5

Related issues:

Related to CoCoALib - Feature #459: LinearSimplify: port to CoCoALib New 07 Mar 2014

History

#1 - 13 Jun 2013 15:29 - Anna Maria Bigatti

- Target version set to CoCoA-5.0.9

- % Done changed from 0 to 30

#2 - 13 Jun 2013 15:58 - John Abbott

- Status changed from New to Feedback

JAA has revived the code -- the main problem was that Coefficients(F,X) in CoCoA-4 used the opposite order to CoeffListWRT in CoCoA-5.

The result is now a Record; C5 manual has been updated.

The code could perhaps be moved into CoCoALib (not urgent).

#3 - 07 Mar 2014 15:25 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 30 to 100

No problems reported in the last 9 months, so closing.
